KDE 4.4 PyKDE API Reference

- KDE's Python API

# QtMarbleConfigDialog Class Reference

`from PyKDE4.marble import *`

Inherits: QDialog → QWidget → QObject
Namespace: Marble.QtMarbleConfigDialog

## Detailed Description

## Signals

| clearPersistentCacheClicked ()
| clearVolatileCacheClicked ()
| settingsChanged ()

## Methods

| __init__ (self, Marble.MarbleWidget marbleWidget, QWidget parent=0)
Marble.AngleUnit | angleUnit (self)
bool | animateTargetVoyage (self)
Marble.MapQuality | animationQuality (self)
| clearPersistentCacheClicked (self)
| clearVolatileCacheClicked (self)
Marble.DistanceUnit | distanceUnit (self)
int | dragLocation (self)
Marble.GraphicsSystem | graphicsSystem (self)
int | labelLocalization (self)
QFont | mapFont (self)
int | onStartup (self)
int | persistentTileCacheLimit (self)
bool | proxyAuth (self)
QString | proxyPass (self)
int | proxyPort (self)
bool | proxyType (self)
QString | proxyUrl (self)
QString | proxyUser (self)
| readSettings (self)
| settingsChanged (self)
Marble.MapQuality | stillQuality (self)
int | volatileTileCacheLimit (self)
| writeSettings (self)

## Method Documentation

__init__ | ( | self, |
|  | Marble.MarbleWidget | marbleWidget,
|  | QWidget | parent=0
| ) |  |  |

Marble.AngleUnit angleUnit | ( |  | self ) |

bool animateTargetVoyage | ( |  | self ) |

Marble.MapQuality animationQuality | ( |  | self ) |

clearPersistentCacheClicked | ( |  | self ) |

The user clicked on the button to clear persistent tile cache.

Signal syntax:
  `QObject.connect(source, SIGNAL("clearPersistentCacheClicked()"), target_slot)`

clearVolatileCacheClicked | ( |  | self ) |

The user clicked on the button to clear volatile tile cache.

Signal syntax:
  `QObject.connect(source, SIGNAL("clearVolatileCacheClicked()"), target_slot)`

Marble.DistanceUnit distanceUnit | ( |  | self ) |

int dragLocation | ( |  | self ) |

Marble.GraphicsSystem graphicsSystem | ( |  | self ) |

int labelLocalization | ( |  | self ) |

QFont mapFont | ( |  | self ) |

int onStartup | ( |  | self ) |

int persistentTileCacheLimit | ( |  | self ) |

bool proxyAuth | ( |  | self ) |

QString proxyPass | ( |  | self ) |

int proxyPort | ( |  | self ) |

bool proxyType | ( |  | self ) |

QString proxyUrl | ( |  | self ) |

QString proxyUser | ( |  | self ) |

readSettings | ( |  | self ) |

Read settings and update interface.

settingsChanged | ( |  | self ) |

This signal is emitted when when the loaded settings were changed. Either by the user or by loading them initially from disk.

Signal syntax:
  `QObject.connect(source, SIGNAL("settingsChanged()"), target_slot)`

Marble.MapQuality stillQuality | ( |  | self ) |

int volatileTileCacheLimit | ( |  | self ) |

writeSettings | ( |  | self ) |

Write settings to disk.